#include "output.h"

void show_header(Data *data)
{
  int i, natoms = data->natoms;

  fprintf(data->sim_out,"# %7s %7s %16s ", "n", "time", "energy");
  for(i=0; i<natoms; i++) fprintf(data->sim_out, "%16s ", "pos");
  for(i=0; i<natoms; i++) fprintf(data->sim_out, "%16s ", "vel");
  fprintf(data->sim_out,"\n");
  
  fprintf(data->in_out, "# %7s %16s %16s %16s %16s %16s ", 
	  "time", 
	  "interp2", "interp4", "interp6", "interp8", "interp10");
  fprintf(data->in_out, "%16s %16s %16s %16s %16s %16s %16s\n", 
	  "interp12", "interp14", "interp16", "interp18", 
	  "interp20", "interp22", "interp24");
  fprintf(data->tr_out,"# %7s %16s %16s %16s %16s %16s\n", 
	  "time", 
	  "trunc2", "trunc4", "trunc6", "trunc8", "trunc10");
}

void show_some(Data *data)
{
  int i, natoms = data->natoms, n = data->n;
  double energy = data->energy;
  double *pos = data->pos, *vel = data->vel, *sham = data->sham;
  
  fprintf(data->sim_out, "%8d %8g %20.16g ", n, n*data->dt, energy);
  for(i=0; i<natoms; i++) fprintf(data->sim_out, "%20.16g ", pos[i]);
  for(i=0; i<natoms; i++) fprintf(data->sim_out, "%20.16g ", vel[i]);
  fprintf(data->sim_out,"\n");

  return;
}


void show_all(Data *data)
{
  int i, natoms = data->natoms, n = data->n;
  double energy = data->energy;
  double *pos = data->pos, *vel = data->vel;
  double *sham = data->sham, *trunc = data->trunc;
  
  fprintf(data->sim_out, "%8d %8g %20.16g ", n, n*data->dt, energy);
  for(i=0; i<natoms; i++) fprintf(data->sim_out, "%20.16g ", pos[i]);
  for(i=0; i<natoms; i++) fprintf(data->sim_out, "%20.16g ", vel[i]);
  fprintf(data->sim_out,"\n");

  fprintf(data->in_out, "%20.16g %20.16g %20.16g %20.16g %20.16g %20.16g ",
	  n*data->dt, sham[S2], sham[S4], sham[S6],  sham[S8], sham[S10]);
  fprintf(data->in_out,
	  "%20.16g %20.16g %20.16g %20.16g %20.16g %20.16g %20.16g\n",
	  sham[S12], sham[S14], sham[S16], sham[S18], 
	  sham[S20], sham[S22], sham[S24]);
  fprintf(data->tr_out,
	  "%20.16g %20.16g %20.16g %20.16g %20.16g %20.16g\n",
	  n*data->dt, trunc[S2], trunc[S4], trunc[S6], trunc[S8], trunc[S10]);

  return;
}
