#include "main.h"

#ifndef _TRUNCATED_H_
#define _TRUNCATED_H_

/*
 * Note on truncated modified Hamiltonians:
 *
 * The formulas for the truncated modified Hamiltonians
 *  were determined using a computer algebra system,
 *  which calculated the expressions for the interpolated
 *  modified Hamiltonians and then truncated these 
 *  expressions to the desired power of h.
 * Most users will not want to bother creating these
 *  truncated modified Hamiltonian expressions, as the
 *  formulas for the interpolated modified Hamiltonians
 *  can be used instead & those formulas are not dependent
 *  on the particular potential used.
 * Truncated modified Hamiltonians are included in this
 *  code for the Henon-Heiles and doublewell (1/4)(x^2-1)^2
 *  potentials only.
 */

int truncated_eval(Data *data);
int trunc_2_eval(Data *data);
int trunc_4_eval(Data *data);
int trunc_6_eval(Data *data);
int trunc_8_eval(Data *data);
int trunc_10_eval(Data *data);
int trunc_12_eval(Data *data);

#endif // _TRUNCATED_H_
